function draw3D(ab, rl, rs)
%% clc
if nargin==0
    x= 6;
    y= 2;
    z= 2.3;
    rl= [2 2 1];
    rs= [1 5 1];
else
    x= ab(1);
    y= ab(2);
    z= ab(3);
end

X_= [0 0; x x; x x; x x; x x; 0 0; 0 0; 0 0];% 
Y_= [0 y; 0 y; 0 y; 0 y; 0 y; 0 y; 0 y; 0 y];% 
Z_= [0 0; 0 0; 0 0; z z; z z; z z; z z; 0 0];% 


figure('Position', [2500 2500 600 600]);
surf(X_,Y_,Z_);
hold on
surf([0 x; 0 x],[y y; y y],[0 0; z z])
alpha(0.1);

set(gca, 'Xlim', [0 max([x y z])]);
set(gca, 'Ylim', [0 max([x y z])]);
set(gca, 'Zlim', [0 max([x y z])]);
set(gca, 'FontSize', 14);

%%

if ( length(rl) == 3 )
    stem3(rl(1),rl(2),z,'b')
    stem3(rl(1),rl(2),rl(3),'.b','MarkerSize', 22)
end

if ( length(rs) == 3 )
stem3(rs(1),rs(2),z,'r')
stem3(rs(1),rs(2),rs(3),'.r','MarkerSize', 22)
end
hold off

%%
saveas(gca,'room.png')
close gcf

[X map]= imread('room.png');
X(:,:,1)= X(:,:,1)*0.925;
X(:,:,2)= X(:,:,2)*0.914;
X(:,:,3)= X(:,:,3)*0.847;
Y= imresize(X, 0.38);
imwrite(Y,'room.png','png');


