function [F H]= draw_freq_multiC(ab, rl, rs, order, mat, dimensions)

%  - 1. riadok: uhol dopadu zvukovej vlny
%  - 2. riadok: vzdialenost, ktoru musi urazit zvukova vlna
%  - 3.-5. riadok: oznacenie stien, od ktorych sa vlna odrazila

Fvz= 48000;

if dimensions
    vs= comp( ab(1:2), rs(1:2), rl(1:2), order, mat(1:4));
else    
    vs= comp3( ab, rs, rl, order, mat);
end

[len1 len2]= size(vs);
max_delay= delay(max(vs(:,2)), Fvz);

start= tic;

parfor i=1:len1
    %%% ONESKORENIE i-teho VIRTUALNEHO ZDROJA

    t= delay( vs(i,2), Fvz);


    %%% VYPOCET UTLMU PRE i-ty VIRTUALNY ZDROJ

    L= 20*log10(vs(i,2));
    gain= 10^(-L/20);
    mono= gain*[1 zeros(1, 250)];
    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

    % REALIZACIA FILTROV PRE PRVOTNE ODRAZY 
    for j= 3:len2

        switch vs(i,j)
            case 1
                mono= f_beton(mono);
            case 2
                mono= f_drevo(mono);
            case 3
                mono= f_jekor(mono);
            case 4
                mono= f_omietka(mono);
            case 5
                mono= f_sadrokarton(mono);
            case 6
                mono= f_sadrokarton_ak(mono);
            case 7
                mono= f_sklo(mono);
            case 8
                mono= f_tapeta(mono);
            case 9
                mono= f_zaves1(mono);
            case 10
                mono= f_zaves2(mono);
            otherwise
        end
    end
    VS(i,:)= [t mono];
end
toc(start)

mono=zeros(1, max_delay+251);

for i=1:len1
    mono(VS(i,1) : VS(i,1)+length(VS(i,:))-2)= mono(VS(i,1) : VS(i,1)+length(VS(i,:))-2) + VS(i,2:252);
end
    

[H F]= freqz(mono, 1, 4096, Fvz);
H= 20*log10(abs(H));
    