function room= draw_room(ab, rl, rs)
% room= draw_room(ab, rl, rs)
%   function for drawing a room from dimensions of room
%   and positions of listener and sound source
%    INPUT ARGUMENTS
%     ab= [a b]     simulating room dimensions
%     rl= [x y]     listener's position in the room
%     rs= [x y]     sound source's position in the room
% -------------------------------------------------------

if nargin == 0
    ab= [6 10];
    rl= [1 6];
    rs= [2 7];
end

height= 343;
width= 457;

% [236 233 216]*
room= ones(height, width, 3);
room(:,:,1)= (0.925*room(:,:,1));
room(:,:,2)= (0.914*room(:,:,2));
room(:,:,3)= (0.847*room(:,:,3));

point= 5;

if ( (width-10)/ab(1) < (height-10)/ab(2) )
    n= (width-10)/ab(1); 
else
    n= (height-10)/ab(2);
end

% finding extreme positions
x1= uint16( (width- round(n*ab(1)) )/2);
x2=  x1+ round(n*ab(1));
y1= uint16((height- round(n*ab(2)) )/2);
y2=  y1+ round(n*ab(2));

lw= 2;
% walls drawing
room(y1:y1+lw,x1:x2,:)= 0;
room(y2-lw:y2,x1:x2,:)= 0;
room(y1:y2,x1:x1+lw,:)= 0;
room(y1:y2,x2-lw:x2,:)= 0;
% floor drawing
room(y1+4:y2-4,x1+4:x2-4,:)= 1;

p= (point-1)/2;

if (length(rl)==3)
    % listener position drawing
    x= uint16( x1 + round(n*rl(1)));
    y= uint16( y2 - round(n*rl(2)));
    room(y-p:y+p,x-p:x+p,1:2)= zeros(point, point, 2);
end

if (length(rs)==3)
    % sound source positon drawing
    x= uint16( x1 + round(n*rs(1)));
    y= uint16( y2 - round(n*rs(2)));
    room(y-p:y+p,x-p:x+p,2:3)=  zeros(point, point, 2);
end